<template>
  <div id="app">
    <router-view />
    <loading v-show="isLoading" />
  </div>
</template>

<script>
import loading from "@/components/loading";
export default {
  components: { loading },
  name: "App",
  data() {
    return {
      isLoading: false, //全局进入加载动画
    };
  },
  created() {
    this.isLoading = true;
  },
  mounted() {
    this.isLoading = false;
  },
};
</script>

<style lang="less">
@import "./assets/style/initPage.less";
#app {
  font-family: Microsoft YaHei, 微软雅黑, MicrosoftJhengHei, 华文细黑, STHeiti,
    MingLiu;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  height: 100%;
  width: 100%;
}
input {
  font-family: Microsoft YaHei, 微软雅黑, MicrosoftJhengHei, 华文细黑, STHeiti,
    MingLiu;
}
</style>
